CREATE TABLE ase_ro_role_details (
    RID                      NUMBER        ,
    JOB_NAME                 VARCHAR2(3200),
    DUTY_NAME                VARCHAR2(3200),
    PRIV_NAME                VARCHAR2(3200),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    RID                      NUMBER        ,
    JOB_NAME                 VARCHAR2(3200),
    DUTY_NAME                VARCHAR2(3200),
    PRIV_NAME                VARCHAR2(3200),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_ase_ro_role_details PRIMARY KEY (RID, RID)
);
